﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private IpCamController _controller;
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
            this.Closing += MainWindow_Closing;
        }

        void MainWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            _controller.StopProcessing();  
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {

            _controller = new IpCamController("http://yoururl","yourusername","yourpassword");
            _controller.ImageReady += dec_FrameReady ;
            _controller.StartProcessing();

        }

        void dec_FrameReady(object sender,ImageReadyEventArsgs args)
        {
            imgStream.Source = args.Image;
        }

    
        private void btnRight_Click_1(object sender, RoutedEventArgs e)
        {
            _controller.PanRight();
        }

        private void btnLeft_Click_1(object sender, RoutedEventArgs e)
        {
            _controller.PanLeft();
        }

        private void btnDown_Click_1(object sender, RoutedEventArgs e)
        {
            _controller.PanDown();
        }

        private void btnUp_Click_1(object sender, RoutedEventArgs e)
        {
            _controller.PanUp();
        }


    }
}
